Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems with an nvidia and GLX/3d graphics (solved)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Tue Nov 12, 2013 9:26 pm    Post subject: Problems with an nvidia and GLX/3d graphics (solved) Reply with quote

Hi

I'm having sort of a problem with my machine. I'm trying to run glxgears on my desktop since I notice something disable my desktop compositing after I run an update via emerge.

xorg log:
http://pastebin.com/GwEXXDNC

Module Size Used by
nvidia 9389614 22

[ 17.905] (EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X

This is the main problem. When I try running glxgears I get error Xlib: extension "GLX" missing on display ":0.0".
Error: couldn't get an RGB, Double-buffered visual. I have been emerging some packages I have found on older posts but nothing has helped. In fact I'm constantly getting emake failed-errors now, for an example libGLw gives me that.

Please tell me if you need more info.


Last edited by Nizi on Thu Nov 14, 2013 2:43 pm; edited 1 time in total
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 12:51 am    Post subject: Reply with quote

Quote:
[ 17.905] (EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X
[ 17.905] (EE) NVIDIA(0): log file that the GLX module has been loaded in your X
[ 17.905] (EE) NVIDIA(0): server, and that the module is the NVIDIA GLX module. If
[ 17.905] (EE) NVIDIA(0): you continue to encounter problems, Please try
[ 17.905] (EE) NVIDIA(0): reinstalling the NVIDIA driver.
so
Code:
eselect opengl list
if not set to nvidia set it
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 7:39 am    Post subject: Reply with quote

I did the first setup with the gentoo nvidia driver guide and I'm familiar with the eselect. Eselect opengl set nvidia gives an error

"!!! Error: The nvidia OpenGL implementation doesn't seem to provide
!!! Error: libGL.so file. This might be an effect of breakage introduced
!!! Error: by a prioprietary driver installer. Please re-merge the package
!!! Error: providing your OpenGL implementation.
!!! Error: Selected OpenGL implementation incomplete."

But I have libGLw installed and re-emerging it gives me emake failed error.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 8:44 am    Post subject: Reply with quote

if not already done add x11-drivers/nvidia-drivers to /etc/portage/package.keywords ~amd64 (or whatever ~arch is appropriate for you) then repeat
Code:
emerge xorg-server nvidia-drivers mesa mesa-progs opengl

_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 11:35 am    Post subject: Reply with quote

Donahue, your help is much appreciated. However I did add the keyword and tried to emerge the stuff but now I'm gettin a emake failed-error.

Here is the emerge --info on the failed mesa-9.1.6: http://pastebin.com/xkqAh8pD
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 4:24 pm    Post subject: Reply with quote

would you paste /var/tmp/portage/media-libs/mesa-9.1.6/temp/build.log ?

Code:
gcc-config -l
yields ?
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 4:55 pm    Post subject: Reply with quote

build.log >> https://dl.dropboxusercontent.com/u/20126512/build.log (pastebin filesize exceeded)

gcc-config -l >> [1] x86_64-pc-linux-gnu-4.6.3 *

I forgot to mention I got everything working when I followed the nvidia-guide but once I installed the updates and installed python and series of stuff to get coding the node.js the GLX error came up.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 6:10 pm    Post subject: Reply with quote

I have:
Code:
~ # locate glxproto.h
/usr/include/GL/glxproto.h
/usr/lib64/opengl/xorg-x11/include/GL/glxproto.h
does
Code:
ls -l /usr/include/GL/glxproto.h
ls -l /usr/lib64/opengl/xorg-x11/include/GL/glxproto.h
show a symlink to and file glxproto.h present respectively ?

Quote:
In fact I'm constantly getting emake failed-errors now, for an example libGLw gives me that.
Still true? If so can you post libGLw build.log also?

try
Code:
emerge libtool python-updater
env-update
source /etc/profile
python-updater
emerge glproto
emerge libGLw
emerge mesa


does
Quote:
but once I installed the updates and installed python and series of stuff to get coding the node.js the GLX error came up.
reflect an
Code:
emerge net-libs/nodejs
or some other set of operations?
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 10:24 pm    Post subject: Reply with quote

locate glxproto.h

/usr/include/GL/glxproto.h
/usr/lib64/opengl/xorg-x11/include/GL/glxproto.h is missing

ls -l /usr/include/GL/glxproto.h >> lrwxrwxrwx 1 root root 49 Nov 11 16:55 /usr/include/GL/glxproto.h -> ../../lib64/opengl/xorg-x11/include/GL/glxproto.h

libGLw build.log >> http://pastebin.com/qMccFZ7e

emerge libtool python-updater
env-update
source /etc/profile
python-updater
emerge glproto
emerge libGLw
emerge mesa

In this order everything installed without errors. libGLw build.log is from before this.

net-libs/nodejs
Latest version available: 0.10.21
Latest version installed: 0.10.21

Now when I try to eselect opengl set nvidia I get the same error.

!!! Error: The nvidia OpenGL implementation doesn't seem to provide
!!! Error: libGL.so file. This might be an effect of breakage introduced
!!! Error: by a prioprietary driver installer. Please re-merge the package
!!! Error: providing your OpenGL implementation.
!!! Error: Selected OpenGL implementation incomplete.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 10:33 pm    Post subject: Reply with quote

After I rebooted glxgears doesn't give me GLX error but this is still persisting: Error: couldn't get an RGB, Double-buffered visual
:?: :?:
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 10:36 pm    Post subject: Reply with quote

Code:
locate libGL.so

Code:
equery belongs libGL.so

_________________
Defund the FCC.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 11:09 pm    Post subject: Reply with quote

tracking down to files, here:
Quote:
~ # ls -l /usr/lib32/libGL.so*
lrwxrwxrwx 1 root root 27 Nov 13 13:02 /usr/lib32/libGL.so -> opengl/ati/lib/libGL.so.1.2
lrwxrwxrwx 1 root root 27 Nov 13 13:02 /usr/lib32/libGL.so.1 -> opengl/ati/lib/libGL.so.1.2

~ # ls -l /usr/lib32/opengl/xorg-x11/lib/libGL.so*
lrwxrwxrwx 1 root root 14 Sep 26 01:53 /usr/lib32/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0
lrwxrwxrwx 1 root root 14 Sep 26 01:53 /usr/lib32/opengl/xorg-x11/lib/libGL.so.1 -> libGL.so.1.2.0
-rwxr-xr-x 1 root root 502636 Feb 24 2013 /usr/lib32/opengl/xorg-x11/lib/libGL.so.1.2.0

~ # ls -l /usr/lib32/opengl/ati/lib/libGL.so*
lrwxrwxrwx 1 root root 12 Nov 11 16:21 /usr/lib32/opengl/ati/lib/libGL.so -> libGL.so.1.2
lrwxrwxrwx 1 root root 12 Nov 11 16:21 /usr/lib32/opengl/ati/lib/libGL.so.1 -> libGL.so.1.2
-rwxr-xr-x 1 root root 543476 Nov 11 16:21 /usr/lib32/opengl/ati/lib/libGL.so.1.2

~ # ls -l /usr/lib32/opengl/xorg-x11/lib/libGL.so*
lrwxrwxrwx 1 root root 14 Sep 26 01:53 /usr/lib32/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0
lrwxrwxrwx 1 root root 14 Sep 26 01:53 /usr/lib32/opengl/xorg-x11/lib/libGL.so.1 -> libGL.so.1.2.0
-rwxr-xr-x 1 root root 502636 Feb 24 2013 /usr/lib32/opengl/xorg-x11/lib/libGL.so.1.2.0


~ # ls -l /usr/lib64/libGL.so*
lrwxrwxrwx 1 root root 27 Nov 13 13:02 /usr/lib64/libGL.so -> opengl/ati/lib/libGL.so.1.2
lrwxrwxrwx 1 root root 27 Nov 13 13:02 /usr/lib64/libGL.so.1 -> opengl/ati/lib/libGL.so.1.2

~ # ls -l /usr/lib64/opengl/xorg-x11/lib/libGL.so*
lrwxrwxrwx 1 root root 14 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0
lrwxrwxrwx 1 root root 14 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so.1 -> libGL.so.1.2.0
-rwxr-xr-x 1 root root 397080 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2.0

~ # ls -l /usr/lib64/opengl/ati/lib/libGL.so*
lrwxrwxrwx 1 root root 12 Nov 11 16:21 /usr/lib64/opengl/ati/lib/libGL.so -> libGL.so.1.2
lrwxrwxrwx 1 root root 12 Nov 11 16:21 /usr/lib64/opengl/ati/lib/libGL.so.1 -> libGL.so.1.2
-rwxr-xr-x 1 root root 796160 Nov 11 16:21 /usr/lib64/opengl/ati/lib/libGL.so.1.2

~ # ls -l /usr/lib64/opengl/xorg-x11/lib/libGL.so*
lrwxrwxrwx 1 root root 14 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0
lrwxrwxrwx 1 root root 14 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so.1 -> libGL.so.1.2.0
-rwxr-xr-x 1 root root 397080 Oct 5 23:51 /usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2.0


presume my ati should be your nvidia
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Wed Nov 13, 2013 11:16 pm    Post subject: Reply with quote

locate libGL.so
/usr/fakelib/amd64/libGL.so
/usr/lib32/libGL.so
/usr/lib32/libGL.so.1
/usr/lib32/libGL.so.319.49
/usr/lib64/libGL.so
/usr/lib64/libGL.so.1
/usr/lib64/libGL.so.319.49

equery belongs libGL.so
* Searching for libGL.so ...

app-emulation/emul-linux-x86-opengl-20130224 (/usr/lib32/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0)

media-libs/mesa-9.1.6 (/usr/lib64/opengl/xorg-x11/lib/libGL.so -> libGL.so.1.2.0)

x11-drivers/nvidia-drivers-325.15 (/usr/lib32/opengl/nvidia/lib/libGL.so -> libGL.so.1)

x11-drivers/nvidia-drivers-325.15 (/usr/lib64/opengl/nvidia/lib/libGL.so -> libGL.so.1)

How come I see drivers 325.15 even tho I have 319.49?

x11-misc/virtualgl-2.3.2-r3 (/usr/fakelib/amd64/libGL.so -> /usr/lib64/librrfaker.so)
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Wed Nov 13, 2013 11:29 pm    Post subject: Reply with quote

Quote:
How come I see drivers 325.15 even tho I have 319.49?
Aha!

try
Code:
emerge nvidia-drivers nvidia-settings xorg-server
again
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Thu Nov 14, 2013 12:00 am    Post subject: Reply with quote

Emerging those packages made the X loosen it's nuts and it doesn't start, here is the log:

http://pastebin.com/G3K84UU5

lsmod lists the nvidia module as it should.

p.s. the eselect opengl set nvidia worked.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Thu Nov 14, 2013 2:30 am    Post subject: Reply with quote

Code:
nvidia-xconfig
try to start
Code:
dmesg | grep -i nvidia

Code:
wgetpaste /usr/src/linux/.config
post url
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Thu Nov 14, 2013 8:22 am    Post subject: Reply with quote

4.242205] nvidia: module license 'NVIDIA' taints kernel.
[ 4.258392] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 319.49 Tue Aug 13 21:15:53 PDT 2013
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: make sure that this kernel module and all NVIDIA driver

Once I emerged the nvidia-drivers it should be 331.20. So there's atleast one conflict.

wgetpaste /usr/src/linux/.config >> bpaste.net/show/149542/
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1015
Location: /dev/koelsch

PostPosted: Thu Nov 14, 2013 10:30 am    Post subject: Reply with quote

Hi Nizi

More and more bugs/sideffects came up, regarding nvidia-drivers the last time.

Although version 3.19.60 is marked as stable, it is far from that.
Give nvidia-drivers-325.15 a try or try a version <= 319.49 as it is described here: https://bugs.gentoo.org/show_bug.cgi?id=487558

Or switch completely over to the in kernel nuveau support, as I did shortly. Since then, all my trouble has gone.

Best, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Thu Nov 14, 2013 1:41 pm    Post subject: Reply with quote

suggest kernel config changes:
Quote:
<M> /dev/agpgart (AGP Support) --->
--- /dev/agpgart (AGP Support)
< > AMD Opteron/Athlon64 on-CPU GART support
<*> Intel 440LX/BX/GX, I8xx and E7x05 chipset support
< > SiS chipset support
< > VIA chipset support
-*- VGA Arbitration
(2) Maximum number of GPUs
[ ] Laptop Hybrid Graphics - GPU switching support
< > Direct Rendering Manager (XFree86 4.1.0 and higher DRI support) --->
< > Intel GMA500 Stub Driver
<*> Lowlevel video output switch controls
<*> Support for frame buffer devices --->
--- Support for frame buffer devices
[*] Enable firmware EDID
[ ] Framebuffer foreign endianness support --->
[*] Enable Video Mode Handling Helpers
[*] Enable Tile Blitting Support
*** Frame buffer hardware drivers ***
< > Cirrus Logic support
< > Permedia2 support
< > CyberPro 2000/2010/5000 support
< > Arc Monochrome LCD board support
[ ] Asiliant (Chips) 69000 display support
[ ] IMS Twin Turbo display support
< > VGA 16-color graphics support
< > Userspace VESA VGA graphics support
[ ] VESA VGA graphics support
[ ] EFI-based Framebuffer Support
< > N411 Apollo/Hecuba devkit support
< > Hercules mono graphics support
< > Epson S1D13XXX framebuffer support
< > nVidia Framebuffer Support
< > nVidia Riva support
< > Intel740 support (EXPERIMENTAL)
< > Intel LE80578 (Vermilion) support
< > Matrox acceleration
< > ATI Radeon display support
< > ATI Rage128 display support
< > ATI Mach64 display support
< > S3 Trio/Virge support
< > S3 Savage support
< > SiS/XGI display support
< > VIA UniChrome (Pro) and Chrome9 display support
< > NeoMagic display support
< > IMG Kyro support
< > 3Dfx Banshee/Voodoo3/Voodoo5 display support
< > 3Dfx Voodoo Graphics (sst1) support
< > VIA VT8623 support
< > Trident/CyberXXX/CyberBlade support
< > ARK 2000PV support
< > Permedia3 support (EXPERIMENTAL)
< > Fujitsu carmine frame buffer support
[ ] AMD Geode family framebuffer support (EXPERIMENTAL)
< > SMSC UFX6000/7000 USB Framebuffer support
< > Displaylink USB Framebuffer support
< > Virtual Frame Buffer support (ONLY FOR TESTING!)
< > E-Ink Metronome/8track controller support
< > Fujitsu MB862xx GDC support
< > E-Ink Broadsheet/Epson S1D13521 controller support
< > AUO-K190X EPD controller support
[ ] Exynos Video driver support --->
[*] Backlight & LCD device support --->
Console display driver support --->
-*- VGA text console
[*] Enable Scrollback Buffer in System RAM
(256) Scrollback Buffer Size (in KB)
<*> Framebuffer Console support
[*] Map the console to the primary display device
[ ] Framebuffer Console Rotation
[ ] Select compiled-in fonts
[*] Bootup logo --->
IIRC, nvidia should use its own drm, not the kernel's. setting agp to match the motherboard chipset maker has been required in some situations to support some legacy functions. uvesa should not matter, but ...
trying to find an nvidia drivers version that works is a good idea. http://packages.gentoo.org/package/x11-drivers/nvidia-drivers lists current candidates.
I switched my only nvidia to nouveau a while back when there were kernel compatibility problems that went unpatched upstream and in the ebuild for a long time even though a patch existed and had been submitted. not a gamer and the machine is my local dns and not uefi so performance was no issue. will reconfigure to nvidia-drivers just to see what I can see.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Nizi
n00b
n00b


Joined: 13 Aug 2013
Posts: 18
Location: Finland

PostPosted: Thu Nov 14, 2013 1:55 pm    Post subject: Reply with quote

Downgrading the drives did the job (not excluding any of the other tips here). I masked the newer drivers and emerged the 319.49. Now glxgears etc is running fine. DONAHUE: do you still recommend me making those kernel changes? Thank you both Donahue and Randy Andy.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6256
Location: Goose Creek SC

PostPosted: Thu Nov 14, 2013 2:10 pm    Post subject: Reply with quote

if working just enjoy it unless you wish to experiment. none of those possible issues would appear to affect you.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum